#!/bin/bash
###################################
#fuction  mysql intall
#created by AL  2019/04/21
####################################

install_path=`pwd`

###lib install
yum install -y gcc gcc-c++  ncurses-devel  curl-devel  libxpm-devel cmake libxml2 libxml2-devel net-snmp-devel libxPm wget libXpm

## create user and group

groupadd mysql -g 502
useradd -s /sbin/nologin -M mysql -u 502 -g mysql



###initalize

wget http://47.90.101.26/linux/mysql/ld.so.conf 
cp -f  ld.so.conf  /etc/ld.so.conf

ldconfig


##install zlib1.2.8
wget http://47.90.101.26/linux/nginx/zlib-1.2.8.tar.gz
tar zxf zlib-1.2.8.tar.gz
cd zlib-1.2.8
./configure
make && make install
rm -f zlib-1.2.8.tar.gz


cd $install_path

###install mysql
wget http://47.90.101.26/linux/mysql/mysql-5.6.36.tar.gz
tar zxf  mysql-5.6.36.tar.gz
rm -f mysql-5.6.36.tar.gz
cd mysql-5.6.36

cmake  -DCMAKE_INSTALL_PREFIX=/opt/mysql/ \
-DMYSQL_UNIX_ADDR=/opt/mysql/tmp/mysql.sock \
-DDEFAULT_CHARSET=utf8 \
-DDEFAULT_COLLATION=utf8_general_ci \
-DWITH_EXTRA_CHARSETS=all \
-DWITH_MYISAM_STORAGE_ENGINE=1 \
-DWITH_INNOBASE_STORAGE_ENGINE=1 \
-DWITH_INNODB_MEMCACHED=1 \
-DWITH_DEBUG=OFF \
-DWITH_ZLIB=bundled \
-DENABLED_LOCAL_INFILE=1 \
-DENABLED_PROFILING=ON \
-DMYSQL_MAINTAINER_MODE=OFF \
-DMYSQL_DATADIR=/opt/mysql/var \
-DMYSQL_TCP_PORT=3306  


make
make install

cp support-files/mysql.server /etc/init.d/mysqld
chmod +x  /etc/init.d/mysqld
chkconfig --add mysqld
chkconfig --level 345 mysqld on

cd /opt/mysql/

rm -f /etc/my.cnf
wget http://47.90.101.26/linux/mysql/my.cnf.txt
mv my.cnf.txt my.cnf
/opt/mysql/scripts/mysql_install_db --defaults-file=/opt/mysql/my.cnf --user=mysql --basedir=/opt/mysql --datadir=/opt/mysql/var
mkdir /opt/mysql/tmp
chown -R mysql.mysql tmp
chmod 755 tmp


echo "PATH=/opt/mysql/bin:$PATH" >> /etc/profile
source /etc/profile
service mysqld start



/opt/mysql/bin/mysqladmin -u root  password 'A123456'

mysql -uroot -pA123456<< EOF


grant all on *.* to 'root'@'localhost' identified by 'A123456';
grant all on *.* to 'root'@'%' identified by 'A123456';

EOF


if [ $? == 0 ];then
echo "##################"  
echo -e "\033[40;32m install success \033[0m"
echo "###################"
echo " password: A123456 "
echo "#############################"

  
 else 
  echo "##############"
 echo -e "\033[40;31m error \033[0m"
 echo "############" 
 fi















